# Maze Notebooks

This folder contains a series of interactive tutorials introducing essential concepts in Maze and demonstrating how to use it.   

More thorough information is available in the [documentation](https://maze-rl.readthedocs.io/).

## Content

### Getting Started

If you are new to Maze, we recommend checking out the _Getting started_ series. It contains four notebooks discussing the principal building blocks in Maze. It is advisable to go through them in order, as subsequent notebooks refer to the content in previous ones. 

* [Part 1: Basic Workflow](https://github.com/enlite-ai/maze/blob/main/tutorials/notebooks/getting_started/getting_started_1_basic_workflow.ipynb). Basic training, rollout and evaluation. 
* [Part 2: Configurability](https://github.com/enlite-ai/maze/blob/main/tutorials/notebooks/getting_started/getting_started_2_configurability.ipynb). A primer on how to conveniently configure components.
* [Part 3: Customization, part 1](https://github.com/enlite-ai/maze/blob/main/tutorials/notebooks/getting_started/getting_started_3_customization_intro.ipynb). An intro to creating your own components. Includes as examples a customized wrapper and a customized policy. 
* [Part 4: Customization, part 2](https://github.com/enlite-ai/maze/blob/main/tutorials/notebooks/getting_started/getting_started_4_customization_envs.ipynb). Shows how to write your own environment.